<style>
    ul {
        list-style-type: none;
        margin: 0;
        padding: 0;
        
        display: flex;
        flex-direction: column;

    }

    li a {
        display: block;
        text-align: center;

        padding: 10px 12px;
        margin: 5px;

        text-decoration: none;
        border-radius: var(--medium-br);
        /* background-color: var(--background); */
        /* box-shadow: var(--secondary-shadow); */
    }

    li a:hover {
        background-color: var(--background)
    }

    li a.selected {
        background-color: var(--secondary-accent)
    }
</style>

<script>
    export let currentTab;
</script>

<ul>
    <!-- svelte-ignore a11y-missing-attribute -->
    <li><a
        class:selected="{currentTab == 'home'}"
        on:click="{() => currentTab = 'home'}"
    >Home</li>
    <!-- svelte-ignore a11y-missing-attribute -->
    <li><a
        class:selected="{currentTab == 'artist'}"
        on:click="{() => currentTab = 'artist'}"
    >Artist</a></li>
    <!-- svelte-ignore a11y-missing-attribute -->
    <li><a
        class:selected="{currentTab == 'about'}"
        on:click="{() => currentTab = 'about'}"
    >About</a></li>
</ul>